using UnityEngine;

public class PlayerInteraction : MonoBehaviour
{
    public static PlayerInteraction Instance { get; private set; }

    public bool IsInteracting { get; private set; }

    private void Awake()
    {
        if (Instance != null && Instance != this)
        {
            Destroy(gameObject);
            return;
        }
        Instance = this;
        DontDestroyOnLoad(gameObject);
        IsInteracting = false;
    }

    public void StartInteraction() => IsInteracting = true;
    public void StopInteraction() => IsInteracting = false;
}
